cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/templating/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"decimalFormat": "<string>",
"falseValue": "<string>",
"integerFormat": "<string>",
"locale": "<string>",
"placeholdersWithValue": {},
"timeFormat": "<string>",
"timeZone": "<string>",
"trueValue": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/templating/v1"
payload = {
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"decimalFormat": "<string>",
"falseValue": "<string>",
"integerFormat": "<string>",
"locale": "<string>",
"placeholdersWithValue": {},
"timeFormat": "<string>",
"timeZone": "<string>",
"trueValue": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateFormat: '<string>',
dateTimeFormat: '<string>',
decimalFormat: '<string>',
falseValue: '<string>',
integerFormat: '<string>',
locale: '<string>',
placeholdersWithValue: {},
timeFormat: '<string>',
timeZone: '<string>',
trueValue: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/templating/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
templating
Post templatingv1
Execute file templating on the file.
POST
/
templating
/
v1
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The library ID of the file where to apply templating.
The ID of the document
The file ID of the file where to apply templating.
The security code
The G Suite domain
Body
application/json
Response
204
A successful response
⌘I